return {
    "harrisoncramer/gitlab.nvim",
    dependencies = {
        "MunifTanjim/nui.nvim",
        "nvim-lua/plenary.nvim",
        "sindrets/diffview.nvim",
        "stevearc/dressing.nvim",                                -- Recommended but not required. Better UI for pickers.
        "nvim-tree/nvim-web-devicons",                           -- Recommended but not required. Icons in discussion tree.
    },
    build = function() require("gitlab.server").build(true) end, -- Builds the Go binary
    config = function()
        require("gitlab").setup()

        vim.api.nvim_create_user_command("GChoose", function()
            require("gitlab").choose_merge_request()
        end, { desc = "Choose a GitLab merge request" })

        vim.api.nvim_create_user_command("GReview", function()
            require("gitlab").review()
        end, { desc = "Start GitLab review" })
    end,
}
